part of '../auth.dart';

@freezed
class Login with _$Login {
  const factory Login({
    required String status,
    required String message,
    required String accessToken,
    required String refreshToken,
    required User user,
  }) = _Login;

  factory Login.empty() => Login(
    status: '',
    message: '',
    accessToken: '',
    refreshToken: '',
    user: User.empty(),
  );
}

@freezed
class User with _$User {
  const factory User({
    required String id,
    required String name,
    required String phoneNumber,
    required String birthDate,
  }) = _User;

  factory User.empty() =>
      const User(id: '', name: '', phoneNumber: '', birthDate: '');
}
